
GammaLib - Action #1843

Avoid code duplication in const and non-const functions and operators

08/12/2016 10:44 AM - Knödlseder Jürgen

Status: In Progress Start date: 08/12/2016

Priority: Normal Due date:  

Assigned To:  % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Non-const and const functions and operators often contain the same code. This should be avoided. The problem is described and a

solution is proposed here: 

http://stackoverflow.com/questions/123758/how-do-i-remove-code-duplication-between-similar-const-and-non-const-member-func

This solution should be implement for all non-const GammaLib functions and operators that have also a const version (in case that

their code is identical, which should be the case).

History

#1 - 07/08/2019 10:49 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 07/09/2020 03:21 PM - Knödlseder Jürgen

- Target version changed from 1.7.0 to 2.0.0

Moved issue to next release.

#3 - 08/05/2020 03:31 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

I implement some type casting for GXmlNode:

GXmlElement* GXmlNode::element(const int& index)

{

    // Return child element using const method

    return const_cast<GXmlElement*>(static_cast<const GXmlNode*>(this)->element(index));

}

The GXmlNode will go into the bugfix release 1.7.1.

#4 - 03/14/2022 12:27 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
